[arch-commits] Commit in cgit/repos/community-i686 (6 files)

Sergej Pupykin spupykin at nymeria.archlinux.org
Mon Apr 15 11:13:11 UTC 2013


    Date: Monday, April 15, 2013 @ 13:13:11
  Author: spupykin
Revision: 88265

archrelease: copy trunk to community-i686

Added:
  cgit/repos/community-i686/PKGBUILD
    (from rev 88264, cgit/trunk/PKGBUILD)
  cgit/repos/community-i686/apache.example.conf
    (from rev 88264, cgit/trunk/apache.example.conf)
  cgit/repos/community-i686/cgit.install
    (from rev 88264, cgit/trunk/cgit.install)
Deleted:
  cgit/repos/community-i686/PKGBUILD
  cgit/repos/community-i686/apache.example.conf
  cgit/repos/community-i686/cgit.install

---------------------+
 PKGBUILD            |   90 +++++++++++++++++++++++++-------------------------
 apache.example.conf |   50 +++++++++++++--------------
 cgit.install        |   14 +++----
 3 files changed, 77 insertions(+), 77 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2013-04-15 11:12:57 UTC (rev 88264)
+++ PKGBUILD	2013-04-15 11:13:11 UTC (rev 88265)
@@ -1,45 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Current Maintainer:  Patrick Palka <patrick at parcs.ath.cx>
-# Previous Maintainer:  Loui Chang <louipc.ist at gmail com>
-# Contributor: Andreas Baumann <abaumann at yahoo dot com>
-# Development: http://closure.ath.cx/aur-dev
-
-pkgname=cgit
-pkgver=0.9.1
-_gitver=1.7.4
-pkgrel=1
-pkgdesc="A web interface for git written in plain C"
-arch=('i686' 'x86_64')
-url="http://hjemli.net/git/cgit"
-license=('GPL')
-depends=('openssl')
-makedepends=('git' 'zlib' 'curl' 'asciidoc')
-install=cgit.install
-source=("http://git.zx2c4.com/cgit/snapshot/cgit-$pkgver.tar.xz"
-	"git-${_gitver}.tar.gz::https://github.com/git/git/archive/v${_gitver}.tar.gz"
-	"apache.example.conf")
-md5sums=('ed1a1ccccdcbf55ddd6a9de29bca6edf'
-         'c63cc7ca8a4bbf97c8802f354511223e'
-         'bd5696bea0654bfcf98f249b1a36737d')
-
-build() {
-  cd "$pkgname-$pkgver"
-  _cgit_gitver=`grep 'GIT_VER = ' Makefile | cut -f3 -d\ `
-  [ "x${_gitver}" == "x${_cgit_gitver}" ] || { msg "Bad git version"; return 1; }
-  rm -rf git/*
-  mv ../git-${_gitver}/* git/
-  make
-  make doc-man
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-  make CGIT_SCRIPT_PATH=/usr/share/webapps/cgit DESTDIR="$pkgdir" install install-man
-  install -vDm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-  install -vd "$pkgdir/var/cache/$pkgname"
-  install -vDm0644 $srcdir/apache.example.conf $pkgdir/etc/webapps/cgit/apache.example.conf
-  mkdir -p $pkgdir/usr/lib/cgit
-  mv $pkgdir/usr/share/webapps/cgit/cgit.cgi $pkgdir/usr/lib/cgit
-  ln -sf ../../../lib/cgit/cgit.cgi $pkgdir/usr/share/webapps/cgit/cgit.cgi
-}

Copied: cgit/repos/community-i686/PKGBUILD (from rev 88264, cgit/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2013-04-15 11:13:11 UTC (rev 88265)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Current Maintainer:  Patrick Palka <patrick at parcs.ath.cx>
+# Previous Maintainer:  Loui Chang <louipc.ist at gmail com>
+# Contributor: Andreas Baumann <abaumann at yahoo dot com>
+# Development: http://closure.ath.cx/aur-dev
+
+pkgname=cgit
+pkgver=0.9.1
+_gitver=1.7.4
+pkgrel=2
+pkgdesc="A web interface for git written in plain C"
+arch=('i686' 'x86_64')
+url="http://hjemli.net/git/cgit"
+license=('GPL')
+depends=('openssl')
+makedepends=('zlib' 'curl' 'asciidoc')
+install=cgit.install
+source=("http://git.zx2c4.com/cgit/snapshot/cgit-$pkgver.tar.xz"
+	"git-${_gitver}.tar.gz::https://github.com/git/git/archive/v${_gitver}.tar.gz"
+	"apache.example.conf")
+md5sums=('272ee8fec2d81ac1e65117578e64df1e'
+         'c63cc7ca8a4bbf97c8802f354511223e'
+         'bd5696bea0654bfcf98f249b1a36737d')
+
+build() {
+  cd "$pkgname-$pkgver"
+  _cgit_gitver=`grep 'GIT_VER = ' Makefile | cut -f3 -d\ `
+  [ "x${_gitver}" == "x${_cgit_gitver}" ] || { msg "Bad git version"; return 1; }
+  rm -rf git/*
+  mv ../git-${_gitver}/* git/
+  make
+  make doc-man
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+  make CGIT_SCRIPT_PATH=/usr/share/webapps/cgit DESTDIR="$pkgdir" install install-man
+  install -vDm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+  install -vd "$pkgdir/var/cache/$pkgname"
+  install -vDm0644 $srcdir/apache.example.conf $pkgdir/etc/webapps/cgit/apache.example.conf
+  mkdir -p $pkgdir/usr/lib/cgit
+  mv $pkgdir/usr/share/webapps/cgit/cgit.cgi $pkgdir/usr/lib/cgit
+  ln -sf ../../../lib/cgit/cgit.cgi $pkgdir/usr/share/webapps/cgit/cgit.cgi
+}

Deleted: apache.example.conf
===================================================================
--- apache.example.conf	2013-04-15 11:12:57 UTC (rev 88264)
+++ apache.example.conf	2013-04-15 11:13:11 UTC (rev 88265)
@@ -1,25 +0,0 @@
-ScriptAlias /cgit/ "/usr/lib/cgit/cgit.cgi/"
-
-Alias /cgit-css "/usr/share/webapps/cgit/"
-
-<Directory "/usr/share/webapps/cgit/">
-	AllowOverride None
-	Options None
-	Order allow,deny
-	Allow from all
-	AuthType Basic
-	AuthName cgit
-	AuthUserFile /etc/httpd/conf/passwd
-	Require user root
-</Directory>
-
-<Directory "/usr/lib/cgit/">
-	AllowOverride None
-	Options ExecCGI FollowSymlinks
-	Order allow,deny
-	Allow from all
-	AuthType Basic
-	AuthName cgit
-	AuthUserFile /etc/httpd/conf/passwd
-	Require user root
-</Directory>

Copied: cgit/repos/community-i686/apache.example.conf (from rev 88264, cgit/trunk/apache.example.conf)
===================================================================
--- apache.example.conf	                        (rev 0)
+++ apache.example.conf	2013-04-15 11:13:11 UTC (rev 88265)
@@ -0,0 +1,25 @@
+ScriptAlias /cgit/ "/usr/lib/cgit/cgit.cgi/"
+
+Alias /cgit-css "/usr/share/webapps/cgit/"
+
+<Directory "/usr/share/webapps/cgit/">
+	AllowOverride None
+	Options None
+	Order allow,deny
+	Allow from all
+	AuthType Basic
+	AuthName cgit
+	AuthUserFile /etc/httpd/conf/passwd
+	Require user root
+</Directory>
+
+<Directory "/usr/lib/cgit/">
+	AllowOverride None
+	Options ExecCGI FollowSymlinks
+	Order allow,deny
+	Allow from all
+	AuthType Basic
+	AuthName cgit
+	AuthUserFile /etc/httpd/conf/passwd
+	Require user root
+</Directory>

Deleted: cgit.install
===================================================================
--- cgit.install	2013-04-15 11:12:57 UTC (rev 88264)
+++ cgit.install	2013-04-15 11:13:11 UTC (rev 88265)
@@ -1,7 +0,0 @@
-post_install() {
-   echo -n "Setting ownership of /var/cache/cgit to http:http ... "
-   chown -v http:http var/cache/cgit
-   echo "done."
-   echo -n "cgit looks at /etc/cgitrc for configuration. there is "
-   echo "an example configuration file in its manpage."
-}

Copied: cgit/repos/community-i686/cgit.install (from rev 88264, cgit/trunk/cgit.install)
===================================================================
--- cgit.install	                        (rev 0)
+++ cgit.install	2013-04-15 11:13:11 UTC (rev 88265)
@@ -0,0 +1,7 @@
+post_install() {
+   echo -n "Setting ownership of /var/cache/cgit to http:http ... "
+   chown -v http:http var/cache/cgit
+   echo "done."
+   echo -n "cgit looks at /etc/cgitrc for configuration. there is "
+   echo "an example configuration file in its manpage."
+}




More information about the arch-commits mailing list